> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vecurity.net/llms.txt
> Use this file to discover all available pages before exploring further.

# [POST] Remove IP Block

> The purpose of this endpoint is to remove a IP block from a record. 

<Info>
  **Prerequisite:**&#x20;

  Please ensure you have read the VISE Overview before proceeding as the API endpoint is based on your VISE url which is dynamic.

  Where vise-url is mentioned, we are referring to your actual VISE domain, not 'vise-url'. Explained in the VISE overview.
</Info>

<Warning>
  All requests to the Vecurity VISE API requires Session creation in tandem with your Vecurity API token in order to make use of the API Endpoints. More details can be found the [VISE Authentication](/api-reference/endpoint/vecurity-vise/vise-authentication) page.

  If you require support here, please get in touch with our Live chat or [support@vecurity.net](mailto:support@vecurity.net)
</Warning>

#### HTTP Endpoint `POST`

```
https://{VISE-URL}/api/delete_ip_block
```

#### Headers

```
Authorization: Bearer {your_api_token}
```

#### Query Parameters

```
Authorization: Bearer {your_api_token}
- domain_id - String (required) - A unique GUID identifier for a domain.
- record_id - String (required) - A unique GUID identifier for a record.
- ip_block_id- String (required) - A unique GUID identifier for an IP block id.
```

#### Endpoint Description

The purpose of this endpoint is to remove a IP block from a record.&#x20;

#### Response Example

<CodeGroup>
  ```json 200 theme={null}
  {
      "message": "Successfully deleted IP block.",
      "status_code": 200,
      "timestamp": "YYYY-MM-DDTHH:MM:SS UTC"
  }
  ```
</CodeGroup>
